Subject: [core] Introducing Server Name Identifiers in Certificates

From: Hannes Tschofenig <[email-masked]>
Date: Mon, 29 Feb 2016 11:03:54 +0100

Hi all,

working on the DTLS/TLS profile document Thomas and I realized that
there are some challenges when certificates are used for IoT devices.
For this reason we published <draft-fossati-core-certmode-rd-names>
already early 2015.

When Thomas presented the draft at IETF #92 it triggered a fair amount
of discussion and we got lots of good feedback from several CORE working
group participants.

Some time passed and the work on the DTLS/TLS profile draft finished but
we haven't forgotten the feedback and have now re-written the document.

Here is the link to the new document:
https://tools.ietf.org/html/draft-fossati-core-server-name-id-00

The easiest way is to read Section 1 ("Introduction") and Section 8
("Example") to see what we are trying to accomplish.

Ciao
Hannes